#!/bin/sh
#
# ptetex-cmap -- cmap collection for ptetex
#  Nobuyuki Tsuchimura
#

MKTEXLSR='texconfig-sys rehash'
KPSEWHICH='kpsewhich --format="cmap files"'
GUESS_DIR=`kpsewhich --show-path="cmap files"`

## process options
if test $# = 0; then
    echo ""
    echo "To install, specify the CMap directory to install."
    echo "I guess the directory is ..."
    echo "   $GUESS_DIR"
    echo ""
    echo "Now checking if cmaps are exist or not."
    echo ""
else
    CMAPDIR=$1/ptetex-cmap
fi


mkdir tmp-$$
cd tmp-$$

# adobe-cmaps-200406.zip
unzip -q ../adobe-cmaps-200406.zip

## check if exsit, and install
$MKTEXLSR > /dev/null 2>&1
# Don't 'cd CMap', because kpsewhich searches current directory, too.
for cmap in `ls CMap`; do
    echo -n "[$cmap] " 1>&2
    if eval $KPSEWHICH $cmap > /dev/null; then
	echo > /dev/null # dummy
    else
	echo "" 1>&2
	echo "  $cmap is not found."
	if test -n "$CMAPDIR"; then
	    echo "copying to $CMAPDIR"
	    test -d "$CMAPDIR" || mkdir -p $CMAPDIR
	    cp -p CMap/$cmap $CMAPDIR
	fi
    fi
done
echo "" 1>&2


cd ..
rm -rf tmp-$$
$MKTEXLSR > /dev/null 2>&1
